## ros-one-franka-gazebo 0.10.1-42jammy.20251023.1216

=== debian/changelog ===
ros-one-franka-gazebo (0.10.1-42jammy.20251023.1216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 12:16:00 +0000

ros-one-franka-gazebo (0.10.1-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 12:16:00 -0000

## ros-one-franka-gazebo 0.10.1-42jammy.20251208.0037

=== debian/changelog ===
ros-one-franka-gazebo (0.10.1-42jammy.20251208.0037) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Mon, 08 Dec 2025 00:37:26 +0000

## ros-one-franka-gazebo 0.10.1-42jammy.20260221.2331

=== debian/changelog ===
ros-one-franka-gazebo (0.10.1-42jammy.20260221.2331) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Sat, 21 Feb 2026 23:31:55 +0000

## ros-one-franka-gazebo 0.10.1-42noble.20251023.1248

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(franka_gazebo)

execute_process(COMMAND uname -m
  OUTPUT_VARIABLE ARCHITECTURE
  OUTPUT_STRIP_TRAILING_WHITESPACE
  )

if(${ARCHITECTURE} STREQUAL "armv7l")
  message(WARNING "franka_gazebo was never tested on ARM. Use at own risk!")
endif()


# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  gazebo_dev
  roscpp
  std_msgs
  gazebo_ros_control
  kdl_parser
  boost_sml
  control_toolbox
  controller_manager
  controller_interface
  hardware_interface
  transmission_interface
  pluginlib
  joint_limits_interface
  eigen_conversions
  urdf
  angles
  franka_hw
  franka_msgs
  franka_gripper
  franka_example_controllers
)
find_package(Franka 0.9.0 QUIET)
if(NOT Franka_FOUND)
  find_package(Franka 0.8.0 REQUIRED)
endif()
find_package(Eigen3 REQUIRED)
find_package(orocos_kdl REQUIRED)

# merge Franka + catkin INCLUDE_DIRS in topological order
list_insert_in_workspace_order(catkin_INCLUDE_DIRS ${Franka_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

catkin_package(
  CATKIN_DEPENDS
    roscpp
    std_msgs
    gazebo_ros_control
    kdl_parser
    boost_sml
    controller_manager
    controller_interface
    control_toolbox
    pluginlib
    hardware_interface
    transmission_interface
    joint_limits_interface
    eigen_conversions
    urdf
    angles
    franka_hw
    franka_msgs
    franka_gripper
    franka_example_controllers
  INCLUDE_DIRS include
  LIBRARIES franka_hw_sim franka_gripper_sim
  DEPENDS Franka orocos_kdl
)

link_directories(
  ${catkin_LIBRARY_DIRS}
)

include_directories(include
  ${Boost_INCLUDE_DIR}
  ${catkin_INCLUDE_DIRS}
)

## Libraries
add_library(franka_hw_sim
  src/franka_hw_sim.cpp
  src/joint.cpp
  src/model_kdl.cpp
  src/controller_verifier.cpp
  )
if (Franka_VERSION GREATER_EQUAL 0.9)
  target_compile_definitions(franka_hw_sim PUBLIC ENABLE_BASE_ACCELERATION)
endif()

target_link_libraries(franka_hw_sim
  ${catkin_LIBRARIES}
  ${Franka_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
  )
target_include_directories(franka_hw_sim SYSTEM PUBLIC
  ${EIGEN3_INCLUDE_DIRS}
  ${orocos_kdl_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  )
add_dependencies(franka_hw_sim
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
  )

add_library(franka_gripper_sim
  src/franka_gripper_sim.cpp
  )
target_link_libraries(franka_gripper_sim
  ${catkin_LIBRARIES}
  )
target_include_directories(franka_gripper_sim SYSTEM PUBLIC
  ${catkin_INCLUDE_DIRS}
  )
add_dependencies(franka_gripper_sim
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
  )

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

## Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  FILES franka_hw_sim_plugin.xml
        franka_gripper_sim_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS franka_hw_sim franka_gripper_sim
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)


## Tools
include(${CMAKE_CURRENT_LIST_DIR}/../cmake/ClangTools.cmake OPTIONAL
  RESULT_VARIABLE CLANG_TOOLS
  )
if(CLANG_TOOLS)
  file(GLOB_RECURSE SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cpp)
  file(GLOB_RECURSE HEADERS
    ${CMAKE_CURRENT_SOURCE_DIR}/include/*.h
    ${CMAKE_CURRENT_SOURCE_DIR}/src/*.h
    )
  add_format_target(franka_gazebo FILES ${SOURCES} ${HEADERS})
  add_tidy_target(franka_gazebo
    FILES ${SOURCES}
    DEPENDS franka_hw_sim
    )
endif()

=== test/CMakeLists.txt ===
find_package(rostest REQUIRED)

add_rostest_gtest(franka_hw_sim_test
  launch/franka_hw_sim.test
  main.cpp
  jacobian_tests.cpp
  fk_tests.cpp
  gravity_tests.cpp
)

add_dependencies(franka_hw_sim_test
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(franka_hw_sim_test
  ${catkin_LIBRARIES}
  franka_hw_sim
)

target_include_directories(franka_hw_sim_test PUBLIC
  ${catkin_INCLUDE_DIRS}
)

add_rostest_gtest(franka_hw_sim_gazebo_test
  launch/franka_hw_sim_gazebo.test
  franka_hw_sim_gazebo_test.cpp
)

add_dependencies(franka_hw_sim_gazebo_test
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(franka_hw_sim_gazebo_test
  ${CATKIN_LIBRARIES}
  franka_hw_sim
)

target_include_directories(franka_hw_sim_gazebo_test PUBLIC
  ${catkin_INCLUDE_DIRS}
)

add_rostest_gtest(franka_gripper_sim_test launch/franka_gripper_sim.test
  franka_gripper_sim_test.cpp
  gripper_sim_test_setup.cpp
  gripper_sim_test_setup.h
)

add_dependencies(franka_gripper_sim_test
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(franka_gripper_sim_test
  ${CATKIN_LIBRARIES}
  franka_gripper_sim
)

target_include_directories(franka_gripper_sim_test PUBLIC
  ${catkin_INCLUDE_DIRS}
)

add_rostest_gtest(franka_gripper_sim_test_with_object
  launch/franka_gripper_sim_with_object.test
  franka_gripper_sim_test_with_object.cpp
  gripper_sim_test_setup.cpp
  gripper_sim_test_setup.h
)

add_dependencies(franka_gripper_sim_test_with_object
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(franka_gripper_sim_test_with_object
  ${CATKIN_LIBRARIES}
  franka_gripper_sim
)

target_include_directories(franka_gripper_sim_test_with_object PUBLIC
  ${catkin_INCLUDE_DIRS}
)

catkin_add_gtest(franka_hw_sim_controller_verifier_test
  main.cpp
  controller_verifier_test.cpp
)

add_dependencies(franka_hw_sim_controller_verifier_test
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(franka_hw_sim_controller_verifier_test
  ${catkin_LIBRARIES}
  franka_hw_sim
)

target_include_directories(franka_hw_sim_controller_verifier_test PUBLIC
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-one-franka-gazebo (0.10.1-42noble.20251023.1248) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 12:48:15 +0000

ros-one-franka-gazebo (0.10.1-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Franka Robotics GmbH <support@franka.de>  Thu, 23 Oct 2025 12:48:15 -0000

=== debian/control ===
Source: ros-one-franka-gazebo
Section: misc
Priority: optional
Maintainer: Franka Robotics GmbH <support@franka.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-boost-sml, ros-one-catkin, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-controller-manager, ros-one-eigen-conversions, ros-one-franka-example-controllers, ros-one-franka-gripper, ros-one-franka-hw, ros-one-franka-msgs, ros-one-gazebo-dev, ros-one-gazebo-ros-control, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-kdl-parser, ros-one-pluginlib, ros-one-roscpp, ros-one-std-msgs, ros-one-transmission-interface, ros-one-urdf
Homepage: http://wiki.ros.org/franka_gazebo
Standards-Version: 3.9.2

Package: ros-one-franka-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-angles, ros-one-boost-sml, ros-one-control-msgs, ros-one-control-toolbox, ros-one-controller-interface, ros-one-controller-manager, ros-one-eigen-conversions, ros-one-franka-example-controllers, ros-one-franka-gripper, ros-one-franka-hw, ros-one-franka-msgs, ros-one-gazebo-ros, ros-one-gazebo-ros-control, ros-one-hardware-interface, ros-one-joint-limits-interface, ros-one-kdl-parser, ros-one-pluginlib, ros-one-roscpp, ros-one-roslaunch, ros-one-rospy, ros-one-std-msgs, ros-one-transmission-interface, ros-one-urdf
Description: This package offers the FrankaHWSim Class to simulate a Franka Robot in Gazebo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-franka-gazebo//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-franka-gazebo 0.10.1-42noble.20251208.1125

=== debian/changelog ===
ros-one-franka-gazebo (0.10.1-42noble.20251208.1125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Mon, 08 Dec 2025 11:25:48 +0000

## ros-one-franka-gazebo 0.10.1-42noble.20260222.0038

=== debian/changelog ===
ros-one-franka-gazebo (0.10.1-42noble.20260222.0038) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Franka Robotics GmbH <support@franka.de>  Sun, 22 Feb 2026 00:38:15 +0000
